Subject: Re: Potential regression/bug in net/mlx5 driver

From: Saeed Mahameed <[email-masked]>
Date: Wed, 29 Mar 2023 15:20:19 -0700

On 28 Mar 19:08, Paul Moore wrote:
>Hello all,
>
>Starting with the v6.3-rcX kernel releases I noticed that my
>InfiniBand devices were no longer present under /sys/class/infiniband,
>causing some of my automated testing to fail.  It took me a while to
>find the time to bisect the issue, but I eventually identified the
>problematic commit:
>
>  commit fe998a3c77b9f989a30a2a01fb00d3729a6d53a4
>  Author: Shay Drory <[email-masked]>
>  Date:   Wed Jun 29 11:38:21 2022 +0300
>
>   net/mlx5: Enable management PF initialization
>
>   Enable initialization of DPU Management PF, which is a new loopback PF
>   designed for communication with BMC.
>   For now Management PF doesn't support nor require most upper layer
>   protocols so avoid them.
>
>   Signed-off-by: Shay Drory <[email-masked]>
>   Reviewed-by: Eran Ben Elisha <[email-masked]>
>   Reviewed-by: Moshe Shemesh <[email-masked]>
>   Signed-off-by: Saeed Mahameed <[email-masked]>
>
>I'm not a mlx5 driver expert so I can't really offer much in the way
>of a fix, but as a quick test I did remove the
>'mlx5_core_is_management_pf(...)' calls in mlx5/core/dev.c and
>everything seemed to work okay on my test system (or rather the tests
>ran without problem).
>
>If you need any additional information, or would like me to test a
>patch, please let me know.
>

Hi Paul, 

Our team is looking into this, the current theory is that you have an old
FW that doesn't have the correct capabilities set.

Can you please provide the FW version and the ConnectX device you are
testing ? 

$ devlink dev info
$ lspci -s <pci_dev> -vv
since boot:
$ dmesg 

>-- 
>paul-moore.com